ALAS-2015-556


Amazon Linux AMI Security Advisory: ALAS-2015-556
Advisory Release Date: 2015-07-07 22:25 Pacific
Severity: Medium

Issue Overview:

A double-free flaw was found in the connection handling. An unauthenticated attacker could exploit this flaw to crash the PostgreSQL back end by disconnecting at approximately the same time as the authentication time out is triggered. (CVE-2015-3165 )

It was discovered that PostgreSQL did not properly check the return values of certain standard library functions. If the system is in a state that would cause the standard library functions to fail, for example memory exhaustion, an authenticated user could exploit this flaw to disclose partial memory contents or cause the GSSAPI authentication to use an incorrect keytab file. (CVE-2015-3166 )

It was discovered that the pgcrypto module could return different error messages when decrypting certain data with an incorrect key. This can help an authenticated user to launch a possible cryptographic attack, although no suitable attack is currently known. (CVE-2015-3167 )


Affected Packages:

postgresql8


Issue Correction:
Run yum update postgresql8 to update your system.

New Packages:
i686:
    postgresql8-test-8.4.20-3.50.amzn1.i686
    postgresql8-libs-8.4.20-3.50.amzn1.i686
    postgresql8-plpython-8.4.20-3.50.amzn1.i686
    postgresql8-contrib-8.4.20-3.50.amzn1.i686
    postgresql8-server-8.4.20-3.50.amzn1.i686
    postgresql8-pltcl-8.4.20-3.50.amzn1.i686
    postgresql8-docs-8.4.20-3.50.amzn1.i686
    postgresql8-debuginfo-8.4.20-3.50.amzn1.i686
    postgresql8-devel-8.4.20-3.50.amzn1.i686
    postgresql8-8.4.20-3.50.amzn1.i686
    postgresql8-plperl-8.4.20-3.50.amzn1.i686

src:
    postgresql8-8.4.20-3.50.amzn1.src

x86_64:
    postgresql8-server-8.4.20-3.50.amzn1.x86_64
    postgresql8-pltcl-8.4.20-3.50.amzn1.x86_64
    postgresql8-devel-8.4.20-3.50.amzn1.x86_64
    postgresql8-plperl-8.4.20-3.50.amzn1.x86_64
    postgresql8-plpython-8.4.20-3.50.amzn1.x86_64
    postgresql8-8.4.20-3.50.amzn1.x86_64
    postgresql8-libs-8.4.20-3.50.amzn1.x86_64
    postgresql8-contrib-8.4.20-3.50.amzn1.x86_64
    postgresql8-docs-8.4.20-3.50.amzn1.x86_64
    postgresql8-debuginfo-8.4.20-3.50.amzn1.x86_64
    postgresql8-test-8.4.20-3.50.amzn1.x86_64